DEPTH = ..

include $(DEPTH)/Makefile.os

.PHONY: all
all:

ifeq ($(SHELLTYPE), sh)
.PHONY: release
release :
	-mkdir $(DEPTH)/release/FreeDoko_$(VERSION)/doc
	-make -C en release 
	-make -C de release 
	cp -a manual Implementation $(DEPTH)/release/FreeDoko_$(VERSION)/doc/
	cp Bugs Roadmap GPL hpux.required_libs.txt \
	  $(DEPTH)/release/FreeDoko_$(VERSION)/doc/
endif

ifeq ($(SHELLTYPE), sh)
.PHONY: clean
clean :
	-find . -name "*~" -exec rm \{\} \;
	-rm -f a2out.ps
	-rm -rf doxygen
	for d in *; do\
	  if ( test -d "$$d" && test -f "$$d"/Makefile ); then \
	    make -C "$$d" clean; \
	  fi; \
	done
endif
